////////////////////////////////////////////////////////////////////////////

#include <acknex.h>
#include <default.c>

#include "breadcrumbs.c"

////////////////////////////////////////////////////////////////////////////

void main()
{
	fps_max = 70;
	video_mode = 7; // run in 800x600 pixels
	video_depth = 32; // 32 bit mode
	//video_screen = 1; // start in full screen mode
	level_load ("warehouse.wmb");
}

/////////////////////////////////////////////////////////////////////////////////////////////

action players_code() // simple player and 1st person camera code
{ 
	VECTOR temp[3];
	var height;
	player = my; // I'm the player
	set (my, INVISIBLE); // no need to see player's model in 1st person mode
	while (1)
	{
		vec_set(temp.x, my.x);
		temp.z -= 10000;
		height = c_trace(my.x, temp.x, IGNORE_PASSABLE) - 30; // play with 30
		if (height > 0)
		{
			my.z -= 1;
		}
		// move the player using the "W", "S", "A" and "D" keys; "10" = movement speed, "6" = strafing speed
		c_move (my, vector(15 * (key_w - key_s) * time_step, 6 * (key_a - key_d) * time_step, 0), nullvector, IGNORE_PASSABLE | GLIDE);
		vec_set (camera.x, player.x); // use player's x and y for the camera as well
		camera.z += 50; // place the camera 50 quants above the player on the z axis (approximate eye level)
		camera.pan -= 8 * mouse_force.x * time_step; // rotate the camera around by moving the mouse
		camera.tilt += 3 * mouse_force.y * time_step; // on its x and y axis
		player.pan = camera.pan; // the camera and the player have the same pan angle

		wait (1);
	}
}

ENTITY* my_cube =
{ 
	type = "cubemap+6.tga"; 
	z = 50;
	layer = 5; 
	flags2 = SKY | CUBE | VISIBLE; 
}


PANEL* test_pan =
{
//	digits(160, 150, 4, *, 1, tempor);
	flags = visible;
}

